function [output] = seq2array(dire,kern)
    b=dir([dire '/*.tif']);
    img_count=size(b,1);
    sc = struct2cell(b);
    % Read first image
    cde = 1;
    str = char(sc(1,cde));
    fn = [dire,'\',str];
    init_vol = imread(fn);
    [row,col] = size(init_vol);
    FB = 0;
    while mod(col,kern) ~= 0
        init_vol = addborder(init_vol,1,FB);
        [~,col] = size(init_vol);
        FB = FB + 1;
    end
    FB = 0;
    while mod(row,kern) ~= 0
        init_vol = addborder(init_vol,2,FB);
        [row,~] = size(init_vol);
        FB = FB + 1;
    end
    
    for cde=2:img_count
        str = char(sc(1,cde));
        fn = [dire,'\',str];
        img_temp = imread(fn);
%         img_temp = im2double(img_temp);
        [row,col] = size(img_temp);
        FB = 0;
        while mod(col,kern) ~= 0
            img_temp = addborder(img_temp,1,FB);
            [~,col] = size(img_temp);
            FB = FB + 1;
        end
        FB = 0;
        while mod(row,kern) ~= 0
            img_temp = addborder(img_temp,2,FB);
            [row,~] = size(img_temp);
            FB = FB + 1;
        end
        init_vol = cat(3,init_vol,img_temp);
    end
    
    [~,~,sli] = size(init_vol);
    FB = 0;
    while mod(sli,kern) ~= 0
        init_vol = addborder(init_vol,3,FB);
        [~,~,sli] = size(init_vol);
        FB = FB + 1;
    end
%     init_vol(init_vol==1) = 255;
    output = init_vol;
end