function [Nb, row, col, slice]=NB3D(init)
[row,col,slice] = findND(init==1); 

Nb = struct('sd1', cell(1,1), 'tot', cell(1,1));
for j=1:6
    Nb(j).sd1 = single(zeros(size(init)));
end
Nb(1).tot = single(zeros(size(init)));
Nb(1).tot(Nb(1).tot==0) = 255;
for i=1:numel(row)
   Nb(1).tot(row(i),col(i),slice(i)) = 0;
end

%% Calculate number of neighbour 
    for i=1:numel(row)
        %% in Sd1 (Sd1 = distance1 = s/2)
        if init(row(i)+1,col(i),slice(i))==1 %Right
            Nb(1).sd1(row(i),col(i),slice(i)) = Nb(1).sd1(row(i),col(i),slice(i))+1;
        end
        if init(row(i),col(i),slice(i)+1)==1 %Front
            Nb(2).sd1(row(i),col(i),slice(i)) = Nb(2).sd1(row(i),col(i),slice(i))+1;
        end
        if init(row(i)-1,col(i),slice(i))==1 %Left
            Nb(3).sd1(row(i),col(i),slice(i)) = Nb(3).sd1(row(i),col(i),slice(i))+1;
        end
        if init(row(i),col(i),slice(i)-1)==1 %Back
            Nb(4).sd1(row(i),col(i),slice(i)) = Nb(4).sd1(row(i),col(i),slice(i))+1;
        end
        if init(row(i),col(i)-1,slice(i))==1 %Up
            Nb(5).sd1(row(i),col(i),slice(i)) = Nb(5).sd1(row(i),col(i),slice(i))+1;
        end
        if init(row(i),col(i)+1,slice(i))==1 %Down
            Nb(6).sd1(row(i),col(i),slice(i)) = Nb(6).sd1(row(i),col(i),slice(i))+1;
        end
        % Sum
        for j=1:6
            Nb(1).tot(row(i),col(i),slice(i)) = Nb(1).tot(row(i),col(i),slice(i)) + Nb(j).sd1(row(i),col(i),slice(i));
        end
    end
end